/* This file is part of sp-minimal-1 Web template.
 * Copyright (C) 2017, 2018 Nandakumar Edamana <nandakumar@nandakumar.co.in>
 * License: GNU General Public License, Version 3.
 */

function on_window_resize() {
	/* Otherwise divContentHeight will be the old large value while getting size-reduced */
	document.getElementById("divContent").style.height = '';

	divHeaderHeight = document.getElementById("divHeader").offsetHeight;
	divContentHeight = document.getElementById("divContent").offsetHeight;
	divFooterHeight = document.getElementById("divFooter").offsetHeight;

	if((divHeaderHeight + divContentHeight + divFooterHeight) < window.innerHeight) {
		document.getElementById("divContent").style.height = (window.innerHeight - (divHeaderHeight + divFooterHeight)) + 'px';
	}
}

function on_dom_content_loaded() {
	on_window_resize();
	window.addEventListener("resize", on_window_resize);
}

document.addEventListener("DOMContentLoaded", on_dom_content_loaded);
